Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class MutableMoney

    java.lang.Object
      com.bea.commerce.ebusiness.price.quote.AbstractMoney
          com.bea.commerce.ebusiness.price.quote.MutableMoney

All Implemented Interfaces:
  Cloneable, Money, Serializable

public class MutableMoney
extends AbstractMoney
implements Cloneable

A money object that may have it's amount and currency modified.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.commerce.ebusiness.price.quote.AbstractMoney
`NO_CURRENCY, ZERO`

Constructor Summary
`MutableMoney()` Constructs a new MutableMoney object with a value of zero and a currency of "NoCurrency".
`MutableMoney(double value, String currency)` Constructs a new MutableMoney object with a value and currency as specified by the given parameters.

Method Summary
`MutableMoney` | `add(double value)` Adds the specified value to this money object.
`MutableMoney` | `add(Money value)` Adds the specified Money object to this money object if the two objects have the same currency.
`static MutableMoney` | `copyFromAxiomMoney(Money from, MutableMoney to)` Copies the values from the first parameter to the second parameter and returns the second parameter.
`static MutableMoney` | `create(Money axiomMoney)` Create a new money object from the com.beasys.commerce.axiom.units.Money object passed in.
`static MutableMoney` | `create(Money money)` Create a new immutable money object.
`static MutableMoney` | `create(Money money, double value)` Create a new money object.
`String` | `getCurrency()`
`double` | `getValue()`
`MutableMoney` | `set(double value, String currency)` Sets the value and currency of the object specified by the given parameters.
`MutableMoney` | `set(Money money)` Sets this object based on the values of the specified Money object.
`MutableMoney` | `set(Money money, double value)` Sets the value and currency of the object specified by the given parameters.
`void` | `setCurrency(String currency)` Set the currency for this money object
`void` | `setValue(double value)` Set the amount for this money object
`String` | `toString()` Returns the class of the object and the value and currency of the object.

Methods inherited from class com.bea.commerce.ebusiness.price.quote.AbstractMoney
`compare, equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MutableMoney

    public MutableMoney()

  Constructs a new MutableMoney object with a value of zero and a currency of "NoCurrency".

See Also:
  `AbstractMoney`

### MutableMoney

    public MutableMoney(double value,
                        String currency)

  Constructs a new MutableMoney object with a value and currency as specified by the given parameters.

Method Detail

### add

    public MutableMoney add(double value)

  Adds the specified value to this money object.

  Parameters:
    `value` - the amount of money to add to this object
  Returns:
    this money object

### add

    public MutableMoney add(Money value)
                     throws CurrencyMismatchException

  Adds the specified Money object to this money object if the two objects have the same currency. If the currencies differ a CurrencyMismatchException will be thrown.

  Parameters:
    `value` - the amount of money to add to this object
  Returns:
    this money object
  Throws:
    `CurrencyMismatchException`

### copyFromAxiomMoney

    public static MutableMoney copyFromAxiomMoney(Money from,
                                                  MutableMoney to)

  Copies the values from the first parameter to the second parameter and returns the second parameter.

  Parameters:
    `from` - a com.beasys.commerce.axiom.units.Money object to copy the values from
    `to` - a Money object to copy the from values to
  Returns:
    new the to object with the new values
  Throws:
    `NullPointerException`
  See Also:
    `Money`

### create

    public static MutableMoney create(Money axiomMoney)

  Create a new money object from the com.beasys.commerce.axiom.units.Money object passed in.

  Parameters:
    `axiomMoney` - a money object
  Returns:
    a new MutableMoney object
  See Also:
    `Money`

### create

    public static MutableMoney create(Money money)

  Create a new immutable money object. The values for the new object will be obtained from the specified money object.

  Parameters:
    `money` - a money object
  Returns:
    a new MutableMoney object
  See Also:
    `Money`

### create

    public static MutableMoney create(Money money,
                                      double value)

  Create a new money object. The currency is obtained from the money object specified and the value of the new object will match the value specified.

  Parameters:
    `money` - a money object
    `value` - the amount of the new money object
  Returns:
    a new MutableMoney object
  See Also:
    `Money`

### getCurrency

    public String getCurrency()

  Specified by:
    `getCurrency` in interface `Money`
  Specified by:
    `getCurrency` in class `AbstractMoney`
  Returns:
    the currency string.

### getValue

    public double getValue()

  Specified by:
    `getValue` in interface `Money`
  Specified by:
    `getValue` in class `AbstractMoney`
  Returns:
    the amount of money

### set

    public MutableMoney set(double value,
                            String currency)

  Sets the value and currency of the object specified by the given parameters.

  Parameters:
    `value` - the amount of money
    `currency` - the string value of the currency

### set

    public MutableMoney set(Money money)

  Sets this object based on the values of the specified Money object.

  Parameters:
    `money` - a money object
  Returns:
    void
  See Also:
    `Money`

### set

    public MutableMoney set(Money money,
                            double value)

  Sets the value and currency of the object specified by the given parameters.

  Parameters:
    `value` - the amount of money

### setCurrency

    public void setCurrency(String currency)

  Set the currency for this money object

  Parameters:
    `currency` - currency to be added

### setValue

    public void setValue(double value)

  Set the amount for this money object

  Parameters:
    `value` - amount of money

### toString

    public String toString()

  Returns the class of the object and the value and currency of the object.

  Overrides:
    `toString` in class `AbstractMoney`
  Returns:
    the value and currency of the object as a String

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved